com.atid.lib.module.rfid.uhf

## Class ATRfidUhf

- java.lang.Object
- - com.atid.lib.module.rfid.uhf.ATRfidUhf

- Direct Known Subclasses:
    ATRfidUhfATM

      public abstract class ATRfidUhf
      extends java.lang.Object

  ATRfidUhf class is a class that provides the function to control RFID UHF module installed in Device when ATEAReader instance is connected to Device.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `INFO`
    `protected com.atid.lib.module.rfid.uhf.event.ATRfidUhfEventManager` | `mListeners`
    `protected com.atid.lib.module.rfid.uhf.module.ATModuleRfidUhf` | `mModule`
    `protected com.atid.lib.device.IReader` | `mReader`
    `protected java.lang.String` | `TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ATRfidUhf(com.atid.lib.device.IReader reader)` Create an instance of the ATRfidUhf class.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `addEpcMask(EpcMaskParam param)` Add the EPC Mask of the RFID UHF module of the Device.
    `void` | `addListener(IATRfidUhfEventListener listener)` ATRfidUhf Adds an event handler to receive events that occur in the instance.
    `abstract void` | `clearEpcMask()` Remove all EPC Mask items from the RFID UHF module of the device.
    `void` | `clearListener()` ATRfidUhf Removes all event handlers from the instance.
    `void` | `destroy()` ATRfidUhf Destroys the instance and returns the resource.
    `abstract java.lang.String` | `getAccessPassword()` When the RFID UHF module of the device communicates with the tag, it returns the Access Password to use.
    `abstract AlgorithmType` | `getAlgorithmType()` Returns the algorithm that the RFID UHF module of the appliance uses to perform the inventory.
    `abstract boolean` | `getContinuousMode()` Returns whether the RFID UHF module on the device will cause the Inventory to run continuously.
    `abstract int` | `getCurrentLinkProfile()` Returns the link profile of the RFID UHF module of the Device. ( Temporarily Type )
    `abstract int` | `getDefaultLinkProfile()` Returns the link profile of the RFID UHF module of the Device. ( Permanently Type ) The power of the device must be turned off and on.
    `abstract EpcMaskParam` | `getEpcMask(int index)` Returns the EPC Mask of the RFID UHF module of the Device.
    `abstract int` | `getEpcMaskCount()` Returns the number of EPC Mask items in the RFID UHF module of the device.
    `abstract boolean` | `getEpcMaskMatchMode()` Returns the method of comparing the EPC Mask items of the RFID UHF module of the Device.
    `abstract FreqTableList` | `getFreqTable()` The RFID UHF module of the Device returns the frequency table.
    `abstract GlobalBandType` | `getGlobalBand()` Returns the national orientation of the RFID UHF module of the instrument.
    `abstract int` | `getIdleTime()` The RFID UHF module of the instrument returns the time that the radio waves are not output in the Inventory operation and is resting.
    `abstract int` | `getInventoryTagType()` When the RFID UHF module of the device performs an inventory operation, it returns the type of Inventory tags.
    `abstract int` | `getInventoryTime()` Returns the time at which radio waves are actually output from the Inventory operation of the RFID UHF module in the instrument.
    `abstract int` | `getLimitTagCount()` When the RFID UHF module of the device performs an inventory operation, it returns the number of tags read as the stop condition of Inventory.
    `abstract int` | `getMaxQ()` If the algorithm of the RFID UHF module of the device uses Dynamic Q, it returns the maximum Q value.
    `abstract int` | `getMinQ()` If the algorithm of the RFID UHF module of the device uses Dynamic Q, it returns the minimum Q value.
    `abstract int` | `getOperationTime()` Returns the operating time of the RFID UHF module of the instrument.
    `abstract int` | `getPower()` Returns the antenna output of the RFID UHF module of the instrument.
    `abstract PowerRange` | `getPowerRange()` Returns the antenna output range of the RFID UHF module of the instrument.
    `abstract int` | `getReadTidLength()` Device returns the length of TID memory that can be read along with Tag value at Inventory for TID Inventory when TID Inventory function is supported.
    `abstract boolean` | `getReportMode()` Inventory the device as an RFID UHF module and return whether the tag read will send the same tag to the event only once or read each time it is read.
    `abstract boolean` | `getReportRssi()` Returns whether the RFID UHF module of the device will pass additional RSSI and Phase to the operation result.
    `abstract int` | `getSameTagReportTime()` When the RFID UHF module of the device performs an Inventory operation, it returns the time when the same tag is not recognized again.
    `abstract SelectFlag` | `getSelectFlag()` The RFID UHF module of the device returns the status of the Select Flag of the tag to be read by the Inventory operation.
    `abstract SelectMask6cParam` | `getSelectMask6c(int index)` Returns the Selection Mask item of the RFID UHF module of the Device.
    `abstract Mask6cAction` | `getSelectMask6cAction(int index)` Returns the comparison behavior of the Selection Mask item of the RFID UHF module of the Device.
    `abstract BankType` | `getSelectMask6cBank(int index)` The Selection Mask item of the Device's RFID UHF module returns the memory bank to compare.
    `abstract boolean` | `getSelectMask6cEnabled(int index)` Returns whether to use the Selection Mask item of the RFID UHF module of the Device.
    `abstract int` | `getSelectMask6cOffset(int index)` The Selection Mask item of the RFID UHF module of the Device returns the starting address of the memory to start the comparison.
    `abstract Mask6cPattern` | `getSelectMask6cPattern(int index)` Returns the comparison value and length of the Selection Mask item of the RFID UHF module of the Device.
    `abstract Mask6cTarget` | `getSelectMask6cTarget(int index)` Returns the Flag of the tag to store the comparison result of Selection Mask item of RFID UHF module of Device.
    `abstract SessionFlag` | `getSessionFlag()` The RFID UHF module of the device returns the status of the Session Flag of the tag to be read by the Inventory operation.
    `abstract SessionTarget` | `getSessionTarget()` The RFID UHF module of the device returns the Session Flag to check the state of the Session Flag of the tag to be read by the Inventory operation.
    `abstract int` | `getStartQ()` If the algorithm of the RFID UHF module of the device is using Dynamic Q, it returns the starting Q value.
    `ModuleRfidUhfType` | `getType()` Returns the RFID UHF module type of the connected Device.
    `abstract java.lang.String` | `getVersion()` Returns the version of the RFID UHF module.
    `abstract boolean` | `initMoudle()` After the Device is connected, it calls to instantiate the ATRfidUhf instance.
    `abstract ResultCode` | `inventory6b()` Device instructs to inventory the RFID UHF tag of ISO18000-6c Gen2 standard.
    `abstract ResultCode` | `inventory6c()` Device instructs to inventory the RFID UHF tag of ISO18000-6c Gen2 standard.
    `abstract ResultCode` | `kill6c(java.lang.String password)` Device instructs the RFID UHF tag of ISO18000-6c Gen2 specification to be no longer available.
    `abstract ResultCode` | `lock6b(com.atid.lib.module.rfid.uhf.params.Lock6bParam param, java.lang.String password)` Instructs the Device to lock or unlock the RFID UHF tag of ISO18000-6b Gen2 specification.
    `abstract ResultCode` | `lock6c(Lock6cParam param, java.lang.String password)` Instructs the Device to lock or unlock the RFID UHF tags of the ISO18000-6c Gen2 standard.
    `abstract ResultCode` | `permaLock6c(PermaLock6cParam param, java.lang.String password)` Device instructs the RFID UHF tag of ISO18000-6c Gen2 specification to perform a permanent lock.
    `void` | `PumpEvent(int event, byte[] data)` Used internally by the SDK.
    `abstract ResultCode` | `readMemory6b(int offset, int length, java.lang.String password)` Device instructs to read specific memory of RFID UHF tag of ISO18000-6b Gen2 standard.
    `abstract ResultCode` | `readMemory6c(BankType bank, int offset, int length, java.lang.String password)` Device instructs to read specific memory of RFID UHF tag of ISO18000-6c Gen2 standard.
    `void` | `removeListener(IATRfidUhfEventListener listener)` ATRfidUhf Removes an event handler when it no longer needs to receive events raised by the instance.
    `abstract void` | `setAccessPassword(java.lang.String password)` Set the Access Password to use when the RFID UHF module of the device communicates with the tag.
    `abstract void` | `setAlgorithmType(AlgorithmType type)` Sets the algorithm that the RFID UHF module of the appliance uses to perform the inventory.
    `abstract void` | `setContinuousMode(boolean enabled)` Sets whether or not the RFID UHF module of the device will run the Inventory continuously.
    `abstract void` | `setCurrentLinkProfile(int index)` Sets the link profile of the RFID UHF module of the Device. ( Temporarily Type )
    `abstract void` | `setDefaultLinkProfile(int index)` Sets the link profile of the RFID UHF module of the Device. ( Permanently Type ) The power of the device must be turned off and on.
    `abstract void` | `setEpcMaskMatchMode(boolean enabled)` Set the method of comparing EPC Mask items of the RFID UHF module of the device.
    `abstract void` | `setFreqTable(FreqTableList param)` The RFID UHF module of the device sets up the frequency table.
    `abstract void` | `setGlobalBand(GlobalBandType band)` Set the national orientation of the RFID UHF module of the instrument.
    `abstract void` | `setIdleTime(int time)` The RFID UHF module of the instrument sets the time for which the radio waves are not output in the Inventory operation and the rest of the time.
    `abstract ResultCode` | `setInventoryTagType(int count)` When the RFID UHF module of the device performs the inventory operation, it sets the specified type of the tags Inventory.
    `abstract void` | `setInventoryTime(int time)` Sets the time at which radio waves are actually output in Inventory operation of the RFID UHF module of the instrument.
    `abstract void` | `setLimitTagCount(int count)` When the RFID UHF module of the device performs the inventory operation, it sets the number of tags read as the stop condition of Inventory.
    `abstract void` | `setMaxQ(int value)` If the algorithm of the RFID UHF module of the device uses Dynamic Q, set the maximum Q value.
    `abstract void` | `setMinQ(int value)` If the algorithm of the RFID UHF module of the device uses Dynamic Q, set the minimum Q value.
    `abstract void` | `setOperationTime(int time)` Set the operation time of the RFID UHF module of the device.
    `abstract void` | `setPower(int power)` Set the antenna output of the RFID UHF module of the instrument.
    `abstract void` | `setReadTidLength(int length)` If the TID Inventory function is supported by the device, set the TID memory length that can be read along with the Tag value at the time of Inventory for TID Inventory.
    `abstract void` | `setReportMode(boolean enabled)` Inventory the device as an RFID UHF module and set whether the read tag sends the same tag to the event only once or whenever it reads it.
    `abstract void` | `setReportRssi(boolean enabled)` Sets whether the RFID UHF module of the device will pass additional RSSI and Phase to the operation result.
    `abstract com.atid.lib.protocol.Response` | `setRfidCarrierWave(boolean enabled)` When the RFID UHF module of the device performs the inventory operation, it sets the specified type of the tags Inventory.
    `abstract void` | `setSameTagReportTime(int time)` When the RFID UHF module of the device performs an Inventory operation, set the time at which the same tag is not recognized again.
    `abstract void` | `setSelectFlag(SelectFlag flag)` The RFID UHF module of the device sets the status of the Select Flag of the tag to be read by the Inventory operation.
    `abstract void` | `setSelectMask6c(int index, SelectMask6cParam param)` Set the Selection Mask item of the RFID UHF module of the Device.
    `abstract void` | `setSelectMask6cAction(int index, Mask6cAction action)` Set the comparison behavior of the Selection Mask item of the RFID UHF module of the device.
    `abstract void` | `setSelectMask6cBank(int index, BankType bank)` The Selection Mask item of the RFID UHF module of the device sets the memory bank to be compared.
    `abstract void` | `setSelectMask6cEnabled(int index, boolean enabled)` Set whether or not to use the Selection Mask item of the RFID UHF module of the Device.
    `abstract void` | `setSelectMask6cOffset(int index, int offset)` The Selection Mask item of the RFID UHF module of the device sets the start address of the memory to start the comparison.
    `abstract void` | `setSelectMask6cPattern(int index, Mask6cPattern pattern)` Set the comparison value and length of the Selection Mask item of the RFID UHF module of the device.
    `abstract void` | `setSelectMask6cTarget(int index, Mask6cTarget target)` Set the Flag of the tag to save the comparison result of Selection Mask item of the RFID UHF module of the device.
    `abstract void` | `setSessionFlag(SessionFlag flag)` Device's RFID UHF module sets the state of Session flag of tag to read by Inventory operation.
    `abstract void` | `setSessionTarget(SessionTarget target)` Device's RFID UHF module sets the Session Flag to check the status of the Session Flag of the tag to be read by Inventory operation.
    `abstract void` | `setStartQ(int value)` If the algorithm of the RFID UHF module of the device is using Dynamic Q, set the starting Q value.
    `abstract ResultCode` | `stop()` Instructs the Device to stop the operation being performed.
    `abstract ResultCode` | `writememory6b(int offet, java.lang.String data, java.lang.String password)` Device instructs to store data in a specific memory of RFID UHF tag of ISO18000-6b Gen2 standard.
    `abstract ResultCode` | `writeMemory6c(BankType bank, int offset, java.lang.String data, java.lang.String password)` Device instructs to store data in a specific memory of RFID UHF tag of ISO18000-6c Gen2 standard.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INFO

          protected static final int INFO

      See Also:
        Constant Field Values

    - #### TAG

          protected java.lang.String TAG

    - #### mModule

          protected com.atid.lib.module.rfid.uhf.module.ATModuleRfidUhf mModule

    - #### mReader

          protected com.atid.lib.device.IReader mReader

    - #### mListeners

          protected com.atid.lib.module.rfid.uhf.event.ATRfidUhfEventManager mListeners

  - ### Constructor Detail

    - #### ATRfidUhf

          public ATRfidUhf(com.atid.lib.device.IReader reader)

      Create an instance of the ATRfidUhf class.

  - ### Method Detail

    - #### destroy

          public void destroy()

      ATRfidUhf Destroys the instance and returns the resource.

    - #### getType

          public ModuleRfidUhfType getType()

      Returns the RFID UHF module type of the connected Device.
      Returns:
        ModuleRfidUhfType enumeration representing the RFID UHF module type.

    - #### addListener

          public void addListener(IATRfidUhfEventListener listener)

      ATRfidUhf Adds an event handler to receive events that occur in the instance.
      Parameters:
        `listener` - An instance that implements the IATRfidUhfEventListener interface to receive events from RFID UHF modules.

    - #### removeListener

          public void removeListener(IATRfidUhfEventListener listener)

      ATRfidUhf Removes an event handler when it no longer needs to receive events raised by the instance.
      Parameters:
        `listener` - An instance that implements the IATRfidUhfEventListener interface to receive events from RFID UHF modules.

    - #### clearListener

          public void clearListener()

      ATRfidUhf Removes all event handlers from the instance.

    - #### initMoudle

          public abstract boolean initMoudle()

      After the Device is connected, it calls to instantiate the ATRfidUhf instance.
      Returns:
        Returns true if the initialization of the instance succeeds, false otherwise.

    - #### inventory6c

          public abstract ResultCode inventory6c()

      Device instructs to inventory the RFID UHF tag of ISO18000-6c Gen2 standard.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### inventory6b

          public abstract ResultCode inventory6b()

      Device instructs to inventory the RFID UHF tag of ISO18000-6c Gen2 standard.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### readMemory6c

          public abstract ResultCode readMemory6c(BankType bank,
                                                  int offset,
                                                  int length,
                                                  java.lang.String password)

      Device instructs to read specific memory of RFID UHF tag of ISO18000-6c Gen2 standard.
      Parameters:
        `bank` - The BankType enumeration that specifies the Bank for reading memory.
        `offset` - An integer specifying the starting address to start reading from the specified bank. Unit is WORD unit.
        `length` - An integer that specifies the length of data to read from the specified start address. Unit is WORD unit.
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### readMemory6b

          public abstract ResultCode readMemory6b(int offset,
                                                  int length,
                                                  java.lang.String password)

      Device instructs to read specific memory of RFID UHF tag of ISO18000-6b Gen2 standard.
      Parameters:
        `offset` - An integer specifying the starting address to start reading from the specified bank. Unit is WORD unit.
        `length` - An integer that specifies the length of data to read from the specified start address. Unit is WORD unit.
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### writeMemory6c

          public abstract ResultCode writeMemory6c(BankType bank,
                                                   int offset,
                                                   java.lang.String data,
                                                   java.lang.String password)

      Device instructs to store data in a specific memory of RFID UHF tag of ISO18000-6c Gen2 standard.
      Parameters:
        `bank` - The BankType enumeration that specifies the Bank for reading memory.
        `offset` - An integer specifying the starting address to start reading from the specified bank. Unit is WORD unit.
        `data` - An Hex type string that specifies the data to be stored in memory from the specified start address. Data must be specified in WORD units (4 characters).
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### writememory6b

          public abstract ResultCode writememory6b(int offet,
                                                   java.lang.String data,
                                                   java.lang.String password)

      Device instructs to store data in a specific memory of RFID UHF tag of ISO18000-6b Gen2 standard.
      Parameters:
        `offet` - An integer specifying the starting address to start reading from the specified bank. Unit is WORD unit.
        `data` - An Hex type string that specifies the data to be stored in memory from the specified start address. Data must be specified in WORD units (4 characters).
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### lock6c

          public abstract ResultCode lock6c(Lock6cParam param,
                                            java.lang.String password)

      Instructs the Device to lock or unlock the RFID UHF tags of the ISO18000-6c Gen2 standard.
      Parameters:
        `param` - An instance of Lock6cParam that specifies the lock area of ​​the tag memory.
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### permaLock6c

          public abstract ResultCode permaLock6c(PermaLock6cParam param,
                                                 java.lang.String password)

      Device instructs the RFID UHF tag of ISO18000-6c Gen2 specification to perform a permanent lock.
      Parameters:
        `param` - An instance of PermaLock6cParam that specifies a permanent lock area for tag memory.
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### lock6b

          public abstract ResultCode lock6b(com.atid.lib.module.rfid.uhf.params.Lock6bParam param,
                                            java.lang.String password)

      Instructs the Device to lock or unlock the RFID UHF tag of ISO18000-6b Gen2 specification. Reserved , This API is not supported from sdk.
      Parameters:
        `param` - An instance of Lock6bParam that specifies the lock area for the tag memory.
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### kill6c

          public abstract ResultCode kill6c(java.lang.String password)

      Device instructs the RFID UHF tag of ISO18000-6c Gen2 specification to be no longer available.
      Parameters:
        `password` - Hex type string that specifies the Kill Password set in the tag.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### stop

          public abstract ResultCode stop()

      Instructs the Device to stop the operation being performed.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### getVersion

          public abstract java.lang.String getVersion()
                                               throws ATException

      Returns the version of the RFID UHF module.
      Returns:
        A string representing version information.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getPowerRange

          public abstract PowerRange getPowerRange()
                                            throws ATException

      Returns the antenna output range of the RFID UHF module of the instrument.
      Returns:
        An instance of PowerRange that represents the antenna output range of the RFID UHF module of the device. The return unit is dBm × 10.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getPower

          public abstract int getPower()
                                throws ATException

      Returns the antenna output of the RFID UHF module of the instrument.
      Returns:
        An integer specifying the antenna output of the RFID UHF module. The setting unit is dBm × 10.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setPower

          public abstract void setPower(int power)
                                 throws ATException

      Set the antenna output of the RFID UHF module of the instrument.
      Parameters:
        `power` - An integer specifying the antenna output of the RFID UHF module. The setting unit is dBm × 10.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getContinuousMode

          public abstract boolean getContinuousMode()
                                             throws ATException

      Returns whether the RFID UHF module on the device will cause the Inventory to run continuously.
      Returns:
        A boolean specifying whether the RFID UHF module will continue to perform Inventory operations.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setContinuousMode

          public abstract void setContinuousMode(boolean enabled)
                                          throws ATException

      Sets whether or not the RFID UHF module of the device will run the Inventory continuously.
      Parameters:
        `enabled` - A boolean specifying whether the RFID UHF module will continue to perform Inventory operations.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getAccessPassword

          public abstract java.lang.String getAccessPassword()
                                                      throws ATException

      When the RFID UHF module of the device communicates with the tag, it returns the Access Password to use.
      Returns:
        A string in hex format that specifies the Access Password. Access password can be up to 8 characters (2 words). If the length of the string is less than 8 characters, fill it with "0" to make the length of the string 8 characters.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setAccessPassword

          public abstract void setAccessPassword(java.lang.String password)
                                          throws ATException

      Set the Access Password to use when the RFID UHF module of the device communicates with the tag.
      Parameters:
        `password` - A string in hex format that specifies the Access Password. Access password can be up to 8 characters (2 words). If the length of the string is less than 8 characters, fill it with "0" to make the length of the string 8 characters.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getGlobalBand

          public abstract GlobalBandType getGlobalBand()
                                                throws ATException

      Returns the national orientation of the RFID UHF module of the instrument.
      Returns:
        GlobalBandType enumeration that represents the national orientation of the RFID UHF module.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setGlobalBand

          public abstract void setGlobalBand(GlobalBandType band)
                                      throws ATException

      Set the national orientation of the RFID UHF module of the instrument.
      Parameters:
        `band` - GlobalBandType enumeration that represents the national orientation of the RFID UHF module.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getReportRssi

          public abstract boolean getReportRssi()
                                         throws ATException

      Returns whether the RFID UHF module of the device will pass additional RSSI and Phase to the operation result.
      Returns:
        A boolean specifying whether to pass additional RSSI and Phase to the result of the operation.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setReportRssi

          public abstract void setReportRssi(boolean enabled)
                                      throws ATException

      Sets whether the RFID UHF module of the device will pass additional RSSI and Phase to the operation result.
      Parameters:
        `enabled` - A boolean specifying whether to pass additional RSSI and Phase to the result of the operation.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getOperationTime

          public abstract int getOperationTime()
                                        throws ATException

      Returns the operating time of the RFID UHF module of the instrument.
      Returns:
        This is an integer specifying the operation time of the RFID UHF module. The unit of operation time is millisecond (ms).
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setOperationTime

          public abstract void setOperationTime(int time)
                                         throws ATException

      Set the operation time of the RFID UHF module of the device.
      Parameters:
        `time` - This is an integer specifying the operation time of the RFID UHF module. The unit of operation time is millisecond (ms).
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getInventoryTime

          public abstract int getInventoryTime()
                                        throws ATException

      Returns the time at which radio waves are actually output from the Inventory operation of the RFID UHF module in the instrument.
      Returns:
        An integer that specifies the Inventory time( Tx On ) of the RFID UHF module. Inventory Time ( Tx On ) is in milliseconds (ms).
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data. The Inventory Time and Idle Time set in the RFID UHF module can not exceed 400ms in total. ( FCC : 400 ms , ETSI : 4100 ms , JAPN : 4050 ms ) If Inventory Time is set to 300ms, Idle Time should be set to 100ms or less. If both Inventory Time and Idle Time are set to 0, the RFID UHF module will operate at maximum performance. If the RFID UHF module operates at maximum performance, it may cause module failure due to the heat of the RFID UHF module itself. If the frequency of use of RFID UHF module is low, it may be designated as maximum performance. However, if frequency of use is constant, it is recommended to set proper Inventory Time and Idle Time to adjust performance.

    - #### setInventoryTime

          public abstract void setInventoryTime(int time)
                                         throws ATException

      Sets the time at which radio waves are actually output in Inventory operation of the RFID UHF module of the instrument.
      Parameters:
        `time` - An integer that specifies the Inventory time ( Tx On ) of the RFID UHF module. Inventory Time ( Tx On ) is in milliseconds (ms).
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getIdleTime

          public abstract int getIdleTime()
                                   throws ATException

      The RFID UHF module of the instrument returns the time that the radio waves are not output in the Inventory operation and is resting.
      Returns:
        An integer that specifies the Inventory idle time ( Tx Off ) for the RFID UHF module. Idle Time ( Tx Off ) is in milliseconds (ms).
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setIdleTime

          public abstract void setIdleTime(int time)
                                    throws ATException

      The RFID UHF module of the instrument sets the time for which the radio waves are not output in the Inventory operation and the rest of the time.
      Parameters:
        `time` - An integer that specifies the Inventory idle time ( Tx Off ) for the RFID UHF module. Idle Time ( Tx Off ) is in milliseconds (ms).
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getLimitTagCount

          public abstract int getLimitTagCount()
                                        throws ATException

      When the RFID UHF module of the device performs an inventory operation, it returns the number of tags read as the stop condition of Inventory.
      Returns:
        An integer that specifies the number of tags for which the RFID UHF module will stop Inventory.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setLimitTagCount

          public abstract void setLimitTagCount(int count)
                                         throws ATException

      When the RFID UHF module of the device performs the inventory operation, it sets the number of tags read as the stop condition of Inventory.
      Parameters:
        `count` - An integer that specifies the number of tags for which the RFID UHF module will stop Inventory.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getInventoryTagType

          public abstract int getInventoryTagType()
                                           throws ATException

      When the RFID UHF module of the device performs an inventory operation, it returns the type of Inventory tags.
      Returns:
        An integer that specifies the number of tags for which the RFID UHF module will stop Inventory.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setInventoryTagType

          public abstract ResultCode setInventoryTagType(int count)
                                                  throws ATException

      When the RFID UHF module of the device performs the inventory operation, it sets the specified type of the tags Inventory.
      Parameters:
        `count` - An integer that specifies the number of tags for which the RFID UHF module will stop Inventory.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setRfidCarrierWave

          public abstract com.atid.lib.protocol.Response setRfidCarrierWave(boolean enabled)
                                                                     throws ATException

      When the RFID UHF module of the device performs the inventory operation, it sets the specified type of the tags Inventory.
      Parameters:
        `count` - An integer that specifies the number of tags for which the RFID UHF module will stop Inventory.
      Returns:
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSameTagReportTime

          public abstract int getSameTagReportTime()
                                            throws ATException

      When the RFID UHF module of the device performs an Inventory operation, it returns the time when the same tag is not recognized again.
      Returns:
        This is an integer specifying the time to not recognize the same tag repeatedly. SameTagReportTime is in milliseconds (ms).
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSameTagReportTime

          public abstract void setSameTagReportTime(int time)
                                             throws ATException

      When the RFID UHF module of the device performs an Inventory operation, set the time at which the same tag is not recognized again.
      Parameters:
        `time` - This is an integer specifying the time to not recognize the same tag repeatedly. SameTagReportTime is in milliseconds (ms).
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getReportMode

          public abstract boolean getReportMode()
                                         throws ATException

      Inventory the device as an RFID UHF module and return whether the tag read will send the same tag to the event only once or read each time it is read.
      Returns:
        A boolean specifying whether to fire the event once for the same data.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setReportMode

          public abstract void setReportMode(boolean enabled)
                                      throws ATException

      Inventory the device as an RFID UHF module and set whether the read tag sends the same tag to the event only once or whenever it reads it.
      Parameters:
        `enabled` - A boolean specifying whether to fire the event once for the same data.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getReadTidLength

          public abstract int getReadTidLength()
                                        throws ATException

      Device returns the length of TID memory that can be read along with Tag value at Inventory for TID Inventory when TID Inventory function is supported.
      Returns:
        An integer indicating the length of the TID memory to read with Inventory. Readable length can be set in 2WORD units.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setReadTidLength

          public abstract void setReadTidLength(int length)
                                         throws ATException

      If the TID Inventory function is supported by the device, set the TID memory length that can be read along with the Tag value at the time of Inventory for TID Inventory.
      Parameters:
        `length` - An integer indicating the length of the TID memory to read with Inventory. Readable length can be set in 2WORD units.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getAlgorithmType

          public abstract AlgorithmType getAlgorithmType()
                                                  throws ATException

      Returns the algorithm that the RFID UHF module of the appliance uses to perform the inventory.
      Returns:
        An AlgorithmType enumeration specifying the algorithm.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setAlgorithmType

          public abstract void setAlgorithmType(AlgorithmType type)
                                         throws ATException

      Sets the algorithm that the RFID UHF module of the appliance uses to perform the inventory.
      Parameters:
        `type` - An AlgorithmType enumeration specifying the algorithm.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getStartQ

          public abstract int getStartQ()
                                 throws ATException

      If the algorithm of the RFID UHF module of the device is using Dynamic Q, it returns the starting Q value.
      Returns:
        Dynamic Q An integer that specifies the starting Q value of the algorithm. The Q value range can be set from 1 to 15.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setStartQ

          public abstract void setStartQ(int value)
                                  throws ATException

      If the algorithm of the RFID UHF module of the device is using Dynamic Q, set the starting Q value.
      Parameters:
        `value` - Dynamic Q An integer that specifies the starting Q value of the algorithm. The Q value range can be set from 1 to 15.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getMinQ

          public abstract int getMinQ()
                               throws ATException

      If the algorithm of the RFID UHF module of the device uses Dynamic Q, it returns the minimum Q value.
      Returns:
        Dynamic type that specifies the minimum Q value of the Q algorithm. The Min Q value must be less than the Max Q value.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setMinQ

          public abstract void setMinQ(int value)
                                throws ATException

      If the algorithm of the RFID UHF module of the device uses Dynamic Q, set the minimum Q value.
      Parameters:
        `value` - Dynamic type that specifies the minimum Q value of the Q algorithm. The Min Q value must be less than the Max Q value.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getMaxQ

          public abstract int getMaxQ()
                               throws ATException

      If the algorithm of the RFID UHF module of the device uses Dynamic Q, it returns the maximum Q value.
      Returns:
        Dynamic type that specifies the maximum Q value of the Q algorithm. The Max Q value must be greater than the Min Q value.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setMaxQ

          public abstract void setMaxQ(int value)
                                throws ATException

      If the algorithm of the RFID UHF module of the device uses Dynamic Q, set the maximum Q value.
      Parameters:
        `value` - Dynamic type that specifies the maximum Q value of the Q algorithm. The Max Q value must be greater than the Min Q value.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getFreqTable

          public abstract FreqTableList getFreqTable()
                                              throws ATException

      The RFID UHF module of the Device returns the frequency table.
      Returns:
        An instance of FreqTableList that specifies the frequency table to use for the RFID UHF module. The FreqTableList instance must use the instance returned in getFreqTable.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setFreqTable

          public abstract void setFreqTable(FreqTableList param)
                                     throws ATException

      The RFID UHF module of the device sets up the frequency table.
      Parameters:
        `param` - An instance of FreqTableList that specifies the frequency table to use for the RFID UHF module. The FreqTableList instance must use the instance returned in getFreqTable.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectFlag

          public abstract SelectFlag getSelectFlag()
                                            throws ATException

      The RFID UHF module of the device returns the status of the Select Flag of the tag to be read by the Inventory operation.
      Returns:
        The SelectFlag enumeration type that specifies the state of the Select Flag of the tag that the RFID UHF module will read.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectFlag

          public abstract void setSelectFlag(SelectFlag flag)
                                      throws ATException

      The RFID UHF module of the device sets the status of the Select Flag of the tag to be read by the Inventory operation.
      Parameters:
        `flag` - The SelectFlag enumeration type that specifies the state of the Select Flag of the tag that the RFID UHF module will read.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSessionFlag

          public abstract SessionFlag getSessionFlag()
                                              throws ATException

      The RFID UHF module of the device returns the status of the Session Flag of the tag to be read by the Inventory operation.
      Returns:
        The SessionFlag enumeration type that specifies the state of the Session Flag of the tag to be read by the RFID UHF module.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSessionFlag

          public abstract void setSessionFlag(SessionFlag flag)
                                       throws ATException

      Device's RFID UHF module sets the state of Session flag of tag to read by Inventory operation.
      Parameters:
        `flag` - The SessionFlag enumeration type that specifies the state of the Session Flag of the tag to be read by the RFID UHF module.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSessionTarget

          public abstract SessionTarget getSessionTarget()
                                                  throws ATException

      The RFID UHF module of the device returns the Session Flag to check the state of the Session Flag of the tag to be read by the Inventory operation.
      Returns:
        The SessionTarget enumeration that specifies the Session Flag of the tag to read from the RFID UHF module.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSessionTarget

          public abstract void setSessionTarget(SessionTarget target)
                                         throws ATException

      Device's RFID UHF module sets the Session Flag to check the status of the Session Flag of the tag to be read by Inventory operation.
      Parameters:
        `target` - The SessionTarget enumeration that specifies the Session Flag of the tag to read from the RFID UHF module.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cEnabled

          public abstract boolean getSelectMask6cEnabled(int index)
                                                  throws ATException

      Returns whether to use the Selection Mask item of the RFID UHF module of the Device.
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
      Returns:
        Selection Mask A boolean specifying whether to apply the item.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cEnabled

          public abstract void setSelectMask6cEnabled(int index,
                                                      boolean enabled)
                                               throws ATException

      Set whether or not to use the Selection Mask item of the RFID UHF module of the Device.
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
        `enabled` - Selection Mask A boolean specifying whether to apply the item.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cTarget

          public abstract Mask6cTarget getSelectMask6cTarget(int index)
                                                      throws ATException

      Returns the Flag of the tag to store the comparison result of Selection Mask item of RFID UHF module of Device.
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
      Returns:
        The Mask6cTarget enumeration that specifies the Flag of the tag to store the result of the specified Selection Mask item comparison.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cTarget

          public abstract void setSelectMask6cTarget(int index,
                                                     Mask6cTarget target)
                                              throws ATException

      Set the Flag of the tag to save the comparison result of Selection Mask item of the RFID UHF module of the device.
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
        `target` - The Mask6cTarget enumeration that specifies the Flag of the tag to store the result of the specified Selection Mask item comparison.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cAction

          public abstract Mask6cAction getSelectMask6cAction(int index)
                                                      throws ATException

      Returns the comparison behavior of the Selection Mask item of the RFID UHF module of the Device.
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
      Returns:
        The Mask6cAction enumeration specifying how to compare the specified Selection Mask items.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cAction

          public abstract void setSelectMask6cAction(int index,
                                                     Mask6cAction action)
                                              throws ATException

      Set the comparison behavior of the Selection Mask item of the RFID UHF module of the device.
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
        `action` - The Mask6cAction enumeration specifying how to compare the specified Selection Mask items.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cBank

          public abstract BankType getSelectMask6cBank(int index)
                                                throws ATException

      The Selection Mask item of the Device's RFID UHF module returns the memory bank to compare.
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
      Returns:
        The BankType enumeration that specifies the memory bank to be compared with the specified Selection Mask item. Reserved bank is not used.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cBank

          public abstract void setSelectMask6cBank(int index,
                                                   BankType bank)
                                            throws ATException

      The Selection Mask item of the RFID UHF module of the device sets the memory bank to be compared.
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
        `bank` - The BankType enumeration that specifies the memory bank to be compared with the specified Selection Mask item. Reserved bank is not used.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cOffset

          public abstract int getSelectMask6cOffset(int index)
                                             throws ATException

      The Selection Mask item of the RFID UHF module of the Device returns the starting address of the memory to start the comparison.
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
      Returns:
        An integer specifying the starting address at which the specified Selection Mask item will start the comparison. The unit specifying the start address of the Selection Mask is bit.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cOffset

          public abstract void setSelectMask6cOffset(int index,
                                                     int offset)
                                              throws ATException

      The Selection Mask item of the RFID UHF module of the device sets the start address of the memory to start the comparison.
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
        `offset` - An integer specifying the starting address at which the specified Selection Mask item will start the comparison. The unit specifying the start address of the Selection Mask is bit.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cPattern

          public abstract Mask6cPattern getSelectMask6cPattern(int index)
                                                        throws ATException

      Returns the comparison value and length of the Selection Mask item of the RFID UHF module of the Device.
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
      Returns:
        An instance of Mask6cPattern specifying the comparison value and length of the specified Selection Mask item.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cPattern

          public abstract void setSelectMask6cPattern(int index,
                                                      Mask6cPattern pattern)
                                               throws ATException

      Set the comparison value and length of the Selection Mask item of the RFID UHF module of the device.
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
        `pattern` - An instance of Mask6cPattern specifying the comparison value and length of the specified Selection Mask item.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6c

          public abstract void setSelectMask6c(int index,
                                               SelectMask6cParam param)
                                        throws ATException

      Set the Selection Mask item of the RFID UHF module of the Device.
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
        `param` - An instance of SelectMask6cParam that specifies the specified Selection Mask item.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6c

          public abstract SelectMask6cParam getSelectMask6c(int index)
                                                     throws ATException

      Returns the Selection Mask item of the RFID UHF module of the Device.
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
      Returns:
        An instance of SelectMask6cParam that specifies the specified Selection Mask item.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getEpcMaskCount

          public abstract int getEpcMaskCount()
                                       throws ATException

      Returns the number of EPC Mask items in the RFID UHF module of the device.
      Returns:
        An integer representing the number of EPC Mask items stored on the device
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getEpcMaskMatchMode

          public abstract boolean getEpcMaskMatchMode()
                                               throws ATException

      Returns the method of comparing the EPC Mask items of the RFID UHF module of the Device.
      Returns:
        EPC A boolean specifying whether the mask is masked if it does not match or masked if it does not.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setEpcMaskMatchMode

          public abstract void setEpcMaskMatchMode(boolean enabled)
                                            throws ATException

      Set the method of comparing EPC Mask items of the RFID UHF module of the device.
      Parameters:
        `enabled` - EPC A boolean specifying whether the mask is masked if it does not match or masked if it does not.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### clearEpcMask

          public abstract void clearEpcMask()
                                     throws ATException

      Remove all EPC Mask items from the RFID UHF module of the device.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### addEpcMask

          public abstract void addEpcMask(EpcMaskParam param)
                                   throws ATException

      Add the EPC Mask of the RFID UHF module of the Device.
      Parameters:
        `param` - An instance of EpcMaskParam that specifies an EPC Mask item.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getEpcMask

          public abstract EpcMaskParam getEpcMask(int index)
                                           throws ATException

      Returns the EPC Mask of the RFID UHF module of the Device.
      Parameters:
        `index` - EPC Mask Integer specifying the radix of the item.
      Returns:
        An instance of EpcMaskParam that represents an EPC Mask item that corresponds to the specified Index.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getCurrentLinkProfile

          public abstract int getCurrentLinkProfile()
                                             throws ATException

      Returns the link profile of the RFID UHF module of the Device. ( Temporarily Type )
      Returns:
        An integer indicating the link profile of the RFID UHF module.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setCurrentLinkProfile

          public abstract void setCurrentLinkProfile(int index)
                                              throws ATException

      Sets the link profile of the RFID UHF module of the Device. ( Temporarily Type )
      Parameters:
        `index` - This is an integer specifying the link profile of the RFID UHF module. The value range can be set from 0 to 3.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getDefaultLinkProfile

          public abstract int getDefaultLinkProfile()
                                             throws ATException

      Returns the link profile of the RFID UHF module of the Device. ( Permanently Type ) The power of the device must be turned off and on.
      Returns:
        An integer indicating the link profile of the RFID UHF module.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setDefaultLinkProfile

          public abstract void setDefaultLinkProfile(int index)
                                              throws ATException

      Sets the link profile of the RFID UHF module of the Device. ( Permanently Type ) The power of the device must be turned off and on.
      Parameters:
        `index` - This is an integer specifying the link profile of the RFID UHF module. The value range can be set from 0 to 3.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### PumpEvent

          public void PumpEvent(int event,
                                byte[] data)

      Used internally by the SDK.